DIR=/usr/lib/u-boot
write_uboot_platform () 
{ 
    if [ "$UBOOT" == "mainline" ]; then
        dd if=$1/u-boot-rockchip.bin of=$2 seek=64 conv=notrunc > /dev/null 2>&1;
    else
        dd if=$1/idblock.bin of=$2 seek=64 conv=notrunc > /dev/null 2>&1;
        dd if=$1/uboot.img of=$2 seek=16384 conv=notrunc > /dev/null 2>&1;
    fi
}
write_uboot_platform_ext () 
{ 
    dd if=$1/idblock.bin of=/dev/mmcblk0p1 conv=notrunc > /dev/null 2>&1;
    dd if=$1/uboot.img of=/dev/mmcblk0p2 conv=notrunc > /dev/null 2>&1
}
setup_write_uboot_platform () 
{ 
    local tmp=$(cat /proc/cmdline);
    local bootsource="${tmp##*storagemedia=}";
    local partition_type="${tmp##*partition_type=}";
    bootsource="${bootsource%% *}";
    partition_type="${partition_type%% *}";
    if [ "$bootsource" == "sd" ]; then
        DEVICE="/dev/mmcblk1";
    else
        if [ "$bootsource" == "emmc" ]; then
            if [ "$partition_type" == "generic" ]; then
                DEVICE="/dev/mmcblk0";
            else
                DEVICE="VENDOR";
            fi;
        fi;
    fi
}
